Xsupplicant eap_do_notify()函数远程栈溢出漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1193044 漏洞类型 未知
发布时间 2006-10-27 更新时间 2006-10-27
CVE编号 CVE-2006-5602 CNNVD-ID CNNVD-200610-482
漏洞平台 N/A CVSS评分 4.0
|漏洞来源
https://www.securityfocus.com/bid/87394
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200610-482
|漏洞详情
Xsupplicant是802.1X/WPA/WPA2/IEEE802.11i协议的开放源码实现。Xsupplicant的eap_do_notify()函数的实现上存在栈溢出漏洞,远程攻击者可能利用此漏洞在服务器上执行任意指令。远程攻击者可以发送特制的EAP报文导致以root用户权限执行任意指令,失败的攻击也可能导致拒绝服务。
|受影响的产品
Xsupplicant Xsupplicant 1.2.2 Xsupplicant Xsupplicant 1.2Pre1 Xsupplicant Xsupplicant 1.2.5 Xsupplicant Xsupplicant 1.2.4 Xsupplicant Xsupplicant 1.2.3 Xsupplicant Xsuppl
|参考资料

来源:VUPEN
名称:ADV-2006-4232
链接:http://www.frsirt.com/english/advisories/2006/4232
来源:SECUNIA
名称:22641
链接:http://secunia.com/advisories/22641
来源:SECUNIA
名称:22612
链接:http://secunia.com/advisories/22612
来源:MANDRIVA
名称:MDKSA-2006:189
链接:http://frontal2.mandriva.com/security/advisories?name=MDKSA-2006:189
来源:XF
名称:xsupplicant-unspecified-dos(29903)
链接:http://xforce.iss.net/xforce/xfdb/29903
来源:MANDRIVA
名称:MDKSA-2006:189
链接:http://www.mandriva.com/security/advisories?name=MDKSA-2006:189
来源:sourceforge.net
链接:http://sourceforge.net/project/shownotes.php?release_id=421973&group_id=60236